/*
 *	Rule 103:	Required
 *			
 *	Relational operators shall not be applied to pointer types except
 *	where both operands are of the same type and point to the same
 *	array, structure or union.
*/ 

#include "misra.cch"

if ( op_equal||op_not_eq||op_more||op_more_eq||op_less||op_less_eq ) {
	if ( (op_level(1,0) == POINTER) || (op_level(2,0) == POINTER) ) {

	 	WARN_MR(103, "17.3 Relational operators shall not be applied to pointer types.");
	}


}